Program CstPar2;

Var
  K: String ( 10 ) value 'ABC';


Procedure OK ( protected Var S: String );

begin (* OK *)
  K:= 'K';
  write ( S );
  (*$W-*) S:= 'XYZ'; (*$W+*)
  (* warning: assignment of read-only location *)
end (* OK *);


begin
  OK ( 'O' );
  K:= 'K';
  OK ( K );
  writeln;
end.
